<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/include/entities.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('entities_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">entities.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="entities_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 2/21/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_ENTITIES_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_ENTITIES_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;assert.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;../../include/debug.h&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;../string/include/string.h&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;../uuid/include/uuid.h&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;../shape/include/shape.h&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;../point/include/points.h&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;../window/include/window.h&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;../progress/include/progress.h&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="entities_8h.html#a9870e0caa2f8e3e5700c4cbb21d73c07">   19</a></span>&#160;<span class="preprocessor">#define is ==</span></div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="entities_8h.html#a5ec7beebdb5fb0c15754963d986d08c0">   20</a></span>&#160;<span class="preprocessor">#define isnt !=</span></div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="entities_8h.html#a31739c27bdcfdac9faae7bf7a5df49e4">   21</a></span>&#160;<span class="preprocessor">#define not !</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="entities_8h.html#aa3d7d535cf450b91b9cb6d9cee2edbb9">   22</a></span>&#160;<span class="preprocessor">#define and &amp;&amp;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="entities_8h.html#a339a611d7f9dc3a59c359f0da7beaf3c">   23</a></span>&#160;<span class="preprocessor">#define or ||</span></div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="entities_8h.html#a7cc019ad88e04ddd4d5ed8b80e8bd25d">   24</a></span>&#160;<span class="preprocessor">#define in ,</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifdef ENTITIES_IMPORT</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="entities_8h.html#a77366c1bd428629dc898e188bfd182a3">   29</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="entities_8h.html#a135053f5aaf67c7d93d2a3cb1967a7cd">   32</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_c_l_a_s_s.html">CLASS</a> <a class="code" href="struct_c_l_a_s_s.html">Class</a>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html">   34</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_c_l_a_s_s.html">CLASS</a> {</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html#a854352f53b148adc24983a58a1866d66">   35</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="struct_c_l_a_s_s.html#a854352f53b148adc24983a58a1866d66">size</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html#a83bf6c579a52a01899badf321ee3f7f3">   36</a></span>&#160;    <span class="keywordtype">void</span> * (* ctor) (<span class="keywordtype">void</span> *<span class="keyword">self</span>, va_list *app);</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html#a2cd5db2916efc17482d2ec0656fc8dce">   37</a></span>&#160;    <span class="keywordtype">void</span> * (* dtor) (<span class="keywordtype">void</span> *<span class="keyword">self</span>);</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html#afbe8379b5bef1e4f5df3a59dd4928c17">   38</a></span>&#160;    <span class="keywordtype">void</span> * (* clone) (<span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">self</span>);</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="struct_c_l_a_s_s.html#aabe6e11e40a394c1beff6e40f4edf806">   39</a></span>&#160;    int (* <a class="code" href="struct_c_l_a_s_s.html#aabe6e11e40a394c1beff6e40f4edf806">differ</a>) (<span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">self</span>, <span class="keyword">const</span> <span class="keywordtype">void</span> *b);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;};</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keywordtype">void</span> *<span class="keyword">new</span>(<span class="keyword">const</span> <span class="keywordtype">void</span> *_class, ...);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keywordtype">void</span> <span class="keyword">delete</span>(<span class="keywordtype">void</span> *item);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keywordtype">void</span> *<a class="code" href="entities_8h.html#ae31fb524ad1aca9ab324d702809e25ea">clone</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">self</span>);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keywordtype">int</span> <a class="code" href="entities_8h.html#aeadad28c375d0bb9fd2218cc6409aae0">differ</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">self</span>, <span class="keyword">const</span> <span class="keywordtype">void</span> * b);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="entities_8h.html#a1a8a01f86a3029cbc2a17af4e2473609">sizeOf</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">self</span>);</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment">/* FUNCTION PROTOTYPES */</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#undef ENTITIES_IMPORT</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_ENTITIES_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aentities_8h_html_ae31fb524ad1aca9ab324d702809e25ea"><div class="ttname"><a href="entities_8h.html#ae31fb524ad1aca9ab324d702809e25ea">clone</a></div><div class="ttdeci">void * clone(const void *self)</div><div class="ttdef"><b>Definition:</b> entities.c:31</div></div>
<div class="ttc" id="astruct_c_l_a_s_s_html_a854352f53b148adc24983a58a1866d66"><div class="ttname"><a href="struct_c_l_a_s_s.html#a854352f53b148adc24983a58a1866d66">CLASS::size</a></div><div class="ttdeci">size_t size</div><div class="ttdef"><b>Definition:</b> entities.h:35</div></div>
<div class="ttc" id="aentities_8h_html_a1a8a01f86a3029cbc2a17af4e2473609"><div class="ttname"><a href="entities_8h.html#a1a8a01f86a3029cbc2a17af4e2473609">sizeOf</a></div><div class="ttdeci">size_t sizeOf(const void *self)</div><div class="ttdef"><b>Definition:</b> entities.c:45</div></div>
<div class="ttc" id="aentities_8h_html_aeadad28c375d0bb9fd2218cc6409aae0"><div class="ttname"><a href="entities_8h.html#aeadad28c375d0bb9fd2218cc6409aae0">differ</a></div><div class="ttdeci">int differ(const void *self, const void *b)</div><div class="ttdef"><b>Definition:</b> entities.c:38</div></div>
<div class="ttc" id="astruct_c_l_a_s_s_html"><div class="ttname"><a href="struct_c_l_a_s_s.html">CLASS</a></div><div class="ttdef"><b>Definition:</b> entities.h:34</div></div>
<div class="ttc" id="astruct_c_l_a_s_s_html_aabe6e11e40a394c1beff6e40f4edf806"><div class="ttname"><a href="struct_c_l_a_s_s.html#aabe6e11e40a394c1beff6e40f4edf806">CLASS::differ</a></div><div class="ttdeci">int(* differ)(const void *self, const void *b)</div><div class="ttdef"><b>Definition:</b> entities.h:39</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_a143723e1dd63d73e9f0ecdac7730b3f.html">include</a></li><li class="navelem"><a class="el" href="entities_8h.html">entities.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
